Issue 120675 - big memory leak when opening the digital signature of sample file howtouse.odt
big memory leak when opening the digital signature of sample file howtouse.odt
Status: CLOSED FIXED
Product: performance
Classification: Code
Component: code
AOO 3.4.0
All All
: P3 normal (vote)
: AOO 4.0
Assigned To: zhang jianfang
:
Depends on:
Blocks: 120975 121366
  Show dependency treegraph
 
Reported: 2012-08-23 06:56 UTC by zhang jianfang
Modified: 2012-11-30 04:47 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
sample odt file (33.05 KB, application/vnd.oasis.opendocument.text)
2012-08-23 06:56 UTC, zhang jianfang
no flags Details
xmlsecurity.patch (5.18 KB, patch)
2012-08-23 07:14 UTC, zhang jianfang
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description zhang jianfang 2012-08-23 06:56:00 UTC
Created attachment 79084 [details]
sample odt file

When opening the digital signature of sample file, it shows big memory leak. If repeats for 8 times, there are about 2~3 Meg memory increase.
Comment 1 zhang jianfang 2012-08-23 07:14:36 UTC
Created attachment 79085 [details]
xmlsecurity.patch

Need save the store handles and close them in SecurityEnvironment_MSCryptImpl dctor.
Comment 2 SVN Robot 2012-09-04 02:46:27 UTC
"zhangjf" committed SVN revision 1380438 into trunk:
#i120675#, the certificate store handles need to be closed after closing the ...
Comment 3 zhang jianfang 2012-09-04 02:47:29 UTC
Change to resolved state.
Comment 4 Yan Ji 2012-11-30 04:47:30 UTC
Since last SVT(r1400866) shows there is no memory leak, so close this defect as resolved.